local actions = require("fzf-lua.actions")
require("fzf-lua").setup({

	keymap = {
		fzf = {
			["alt-k"] = "down",  -- Ctrl + k теперь движется вниз
			["alt-l"] = "up",    -- Ctrl + l теперь движется вверх
			["ctrl-j"] = false,   -- Отключаем Ctrl + J <button class="citation-flag" data-index="8">
		}
	},
	previewers = {
	builtin = {
		extensions = {
			-- Настройка для изображений
			["png"] = "chafa",
			["jpg"] = "chafa",
			["jpeg"] = "chafa",
			["gif"] = "chafa",
			["bmp"] = "chafa",
			["webp"] = "chafa",
			["tiff"] = "chafa",
			-- Добавьте другие форматы по необходимости
			},
		},
	},
	oldfiles = {
		cwd_only = true,  -- Только файлы из текущей директории
		stat_file = true, -- Проверка существования файлов на диске
		include_current_session = true, -- Включать только файлы из текущей сессии
	},
	files = {
		-- other configurations...
		hidden = true,  -- Disable showing hidden files
		no_ignore = false, -- Игнорировать .gitignore
		fd_opts = [[--color=never --hidden --type f --type l  --exclude .git]],
		ignore_files = { ".gitignore", ".ignore" }, -- Добавьте эту строку
		toggle_ignore_flag = "--no-ignore",
		actions = {
		["ctrl-i"] = actions.toggle_ignore, -- Новое сокращение для переключения игнорирования
		}
	}
})



vim.api.nvim_set_keymap('n', '<leader>f', ':FzfLua files<CR>', { noremap = true, silent = true })
vim.api.nvim_set_keymap('n', '<leader>g', ':FzfLua live_grep<CR>', { noremap = true, silent = true })
vim.api.nvim_set_keymap('n', '<leader>z', ':FzfLua zoxide<CR>', { noremap = true, silent = true })
vim.api.nvim_set_keymap('n', '<leader>o', ':FzfLua oldfiles<CR>', { noremap = true, silent = true })
vim.api.nvim_set_keymap('n', '<leader>r', ':FzfLua buffers<CR>', { noremap = true, silent = true })


